# Class ValueNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.ValueNode

Direct Known Subclasses:
  `DerbyValueNode`

public class ValueNode extends Node

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueNode(Object value, boolean isArray, DbAttribute attribute, boolean needBinding)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addValueBinding(SQLGenerationContext context, Object value)`
  `SQLAppendable`
  `append(SQLAppendable buffer, SQLGenerationContext context)`
  `protected void`
  `appendNullValue(SQLAppendable buffer)`
  `protected void`
  `appendObjectValue(SQLAppendable buffer, SQLGenerationContext context, Object value)`
  `protected void`
  `appendStringValue(SQLAppendable buffer, SQLGenerationContext context, CharSequence value)`
  `Node`
  `copy()`
  `boolean`
  `equals(Object o)`
  `DbAttribute`
  `getAttribute()`
  `Object`
  `getValue()`
  `int`
  `hashCode()`
  `boolean`
  `isArray()`
  `boolean`
  `isNeedBinding()`

  ### Methods inherited from class Node

  `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, deepEquals, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValueNode

    public ValueNode(Object value, boolean isArray, DbAttribute attribute, boolean needBinding)

- ## Method Details

  - ### getValue

    public Object getValue()

  - ### getAttribute

    public DbAttribute getAttribute()

  - ### isArray

    public boolean isArray()

  - ### append

    public SQLAppendable append(SQLAppendable buffer, SQLGenerationContext context)
    Specified by:
      `append` in class `Node`

  - ### appendNullValue

    protected void appendNullValue(SQLAppendable buffer)

  - ### appendObjectValue

    protected void appendObjectValue(SQLAppendable buffer, SQLGenerationContext context, Object value)

  - ### appendStringValue

    protected void appendStringValue(SQLAppendable buffer, SQLGenerationContext context, CharSequence value)

  - ### addValueBinding

    protected void addValueBinding(SQLGenerationContext context, Object value)

  - ### copy

    public Node copy()
    Specified by:
      `copy` in class `Node`

  - ### isNeedBinding

    public boolean isNeedBinding()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Node`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Node`